Bug 52303 - root ext3 file system is mounted as ext2 but mount reports ext3
root ext3 file system is mounted as ext2 but mount reports ext3
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-22 12:54 EDT by Nick Simicich
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Simicich 2001-08-22 12:54:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
The root filesystem gets mounted as ext2 if you do not have a initrd, 
given that the standard redhat kernel is built with ext3 as a module.


But running the "mount" command with no options reports that the
/ filesystem is mounted as ext3.

Doing "cat /proc/mounts" shows that the filesystem is mounted as
ext2.

I suspect that "cat /proc/mounts" is actually correct.

This represents risk of data loss as the journal will be ignored without
an initrd.  The kernel should be built with ext3 static, not as a module
as the current practice (mounting as ext2 and ignoring the journal) 
represents a risk of data loss.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use a kernel, such as the one built for the current red hat beta, which 
does not have ext2 built in.
2. Convert / to ext2 manually with tune2fs.
3. Boot the system without an initrd.
4. run the mount command and look at the output
5. Run the command "cat /proc/mounts"
	

Actual Results:  the output from mount showed that / was mounted with ext3.

The output from "cat /proc/mounts" showed that "/dev/root /" was mounted 
rw ext2. 

Expected Results:  The mount command should show the same thing as 
cat /proc/mounts.  The kernel should have ext3 static so that this 
never happens.

Additional info:

I guess that I find it odd that the new default filesystem is 
built on the kernel as a module, such that either an initrd is 
required or you lose the extra reliability of mounting the / filesystem as 
ext3.  

I might categorize this as "easy workaround" except for the possibilty of 
data loss in the case of someone who thinks that they
have an ext3 filesystem and so take actions that they would normally only 
take with a journaled filesystem (hitting reset as opposed to doing 
everything in their power to sync/umount), when actually they have an ext2 
filesystem and they lose data.  I guess that if I had converted any 
filesystems that there might have been an initrd set up for me 
automatically.  

I've been working with Unix for so long that doing a "cat /proc/mounts" is 
kind of foreign - I would not have done it except for a document posted to 
the Roswell beta list.  I think that most people will use the output 
of "mount" to determine that they are successfully mounting their / as 
ext3 and will not know to install the initrd unless mount reports 
correctly. 

But the problem is that without an initrd (even if accidentally left off 
of a new grub stanza) you end up with a situation where an ext3 filesystem 
is suddenly downgraded to an ext2, with or without notice depending on 
where you look and whether the mount command is fixed.  

(or maybe the cat /proc/mounts command is reporting incorrectly because 
the remount is not updating where it looks - in which case the point of 
this bug changes to "why is ext3 not compiled in the kernel so that my 
carefully kept journal is being ignored?")

The point of this bug is to point out the risk of data loss if ext3 is 
not in the kernel.  I have submitted bug 52299 about the mount command 
output inconsistency.
Comment 1 Bugzilla owner 2004-09-30 11:39:08 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.